Docs Ali Pix /openapi/v2/video/text/generate
API reference

Generate Vincent video

Generate Vincent videos through prompt

POST/openapi/v2/video/text/generate

Body Parametersapplication/json

aspect_ratio* string

1. Basically provide "16:9", "9.16", "4:3", "3:4", "1:1" aspect ratio 2. v6,c1 supports "16:9", "9.16", "4:3", "3:4", "1:1", "2:3", "3:2", "21:9"

camera_movement string

You can add camera movements to text/picture videos (supports v4 and v4.5 versions) Supported parameters: "horizontal_left", "horizontal_right", "vertical_up", "vertical_down", "zoom_in","zoom_out","crane_up", "quickly_zoom_in","quickly_zoom_out","smooth_zoom_in", "camera_rotation","robo_arm","super_dolly_out","whip_pan","hitchcock", "left_follow","right_follow","pan_left","pan_right","fix_bg"

duration* integer

Video generation duration Video generation duration v.3.5/v4/v4.5 : 5/8 (v3.5 1080p cannot be used 8) v5: 5/8 v5.5/5.6 : 5/8/10 (1080p not available 10) v6/c1: 1~15 any length of time

generate_audio_switch boolean

Support v5.5, v5.6, v6, c1 / Control switch Audio. true: Audio on, false: Audio off

generate_multi_clip_switch boolean

Support: v5.5, v6 Control single camera, multi-lens true: multi-lens, false: single-lens/

lip_sync_tts_content string

~140Chracters (UTF-8). You can enter the desired tts content

lip_sync_tts_speaker_id string

Get the id of the TTS tone

lip_sync_tts_switch boolean

true, false If you want to use lip sync together, please pass it as true

model* string

Model "v3.5","v4","v4.5", "v5","v5.5","v5.6","v6","c1"

motion_mode string

"normal","fast". "fast" does not support 8s, "v5" or above does not support this field

prompt* string

Within 5000 Characters

quality* string

"360p","540p","720p","1080p"

seed integer

Transmittable random number 0 - 2147483647

sound_effect_content string

It can be used when v5 is below or has template_id. You can enter the desired sound effect. If not filled in, the sound effect will be generated based on the video content.

sound_effect_switch boolean

It can be used when v5 or below or has template_id. true, false If you want to use sound_effect together, please pass it as true

template_id integer

Template (special effect) ID, needs to be activated before use

Responses

200 application/json
response-200 object
400 Bad request or validation failed application/json
response-400 object
properties
error* object
401 Missing or invalid API Key application/json
response-401 object
Request Body Example
1{
2"aspect_ratio": "16:9",
3"duration": 5,
4"model": "v6",
5"motion_mode": "normal",
6"prompt": "string",
7"quality": "540p",
8"seed": 0
9}
Code Sample cURL
1curl -X POST "https://api.digislash.com/openapi/v2/video/text/generate" \
2-H "Authorization: Bearer <API Key>" \
3-H "Content-Type: application/json" \
4-d '{
5"aspect_ratio": "16:9",
6"duration": 5,
7"model": "v6",
8"motion_mode": "normal",
9"prompt": "string",
10"quality": "540p",
11"seed": 0
12}'
Response
1▼{
2"ErrCode": 0,
3"ErrMsg": "success",
4▼"RespData": {
5"id": 123456
6}
7}